### Class

# WebKit2 FindController

#### Description [src]

    class WebKit2.FindController : GObject.Object {
      parent: GObject
    }

Controls text search in a `WebKitWebView`.

A `WebKitFindController` is used to search text in a `WebKitWebView`. You can get a `WebKitWebView`‘s `WebKitFindController` with webkit_web_view_get_find_controller(), and later use it to search for text using webkit_find_controller_search(), or get the number of matches using webkit_find_controller_count_matches(). The operations are asynchronous and trigger signals when ready, such as `WebKitFindController::found-text`, `WebKitFindController::failed-to-find-text` or `WebKitFindController::counted-matches`.

#### Ancestors

- GObject

#### Instance methods

###### webkit_find_controller_count_matches

Counts the number of matches for `search_text`.

###### webkit_find_controller_get_max_match_count

Gets the maximum number of matches to report.

###### webkit_find_controller_get_options

Gets the `WebKitFindOptions` for the current search.

###### webkit_find_controller_get_search_text

Gets the text that `find_controller` is searching for.

###### webkit_find_controller_get_web_view

Gets the `WebKitWebView` this find controller is associated to.

###### webkit_find_controller_search

Looks for `search_text` associated with `find_controller`.

###### webkit_find_controller_search_finish

Finishes a find operation.

###### webkit_find_controller_search_next

Looks for the next occurrence of the search text.

###### webkit_find_controller_search_previous

Looks for the previous occurrence of the search text.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### WebKit2.FindController:max-match-count

The maximum number of matches to report for a given search.

###### WebKit2.FindController:options

The options to be used in the search operation.

###### WebKit2.FindController:text

The current search text for this `WebKitFindController`.

###### WebKit2.FindController:web-view

The `WebKitWebView` this controller is associated to.

#### Signals

###### WebKit2.FindController::counted-matches

This signal is emitted when the `WebKitFindController` has counted the number of matches for a given text after a call to webkit_find_controller_count_matches().

###### WebKit2.FindController::failed-to-find-text

This signal is emitted when a search operation does not find any result for the given text. It will be issued if the text is not found asynchronously after a call to webkit_find_controller_search(), `webkit_find_controller_search_next()` or webkit_find_controller_search_previous().

###### WebKit2.FindController::found-text

This signal is emitted when a given text is found in the web page text. It will be issued if the text is found asynchronously after a call to webkit_find_controller_search(), `webkit_find_controller_search_next()` or webkit_find_controller_search_previous().

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKit2FindControllerClass {
      GObjectClass parent_class;
      void (* _webkit_reserved0) (
    void
      );
      void (* _webkit_reserved1) (
    void
      );
      void (* _webkit_reserved2) (
    void
      );
      void (* _webkit_reserved3) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.
`_webkit_reserved0: void (* _webkit_reserved0) ( void )`
  No description available.
`_webkit_reserved1: void (* _webkit_reserved1) ( void )`
  No description available.
`_webkit_reserved2: void (* _webkit_reserved2) ( void )`
  No description available.
`_webkit_reserved3: void (* _webkit_reserved3) ( void )`
  No description available.